<%@ page language="java" import="java.util.*,com.zhuozhengsoft.pageoffice.*,java.sql.*,java.io.*,javax.servlet.*,javax.servlet.http.*;" 
	pageEncoding="gb2312"%>
<%@ taglib uri="http://java.pageoffice.cn" prefix="po" %>
<%
    String id=request.getParameter("id");
	String flg= request.getParameter("flg");
	String lz="正式发文";
    String fileName="";//文件名称
    String filePath="";
    String status="";//当前流程    

   	Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");//载入驱动程序类别
	String strUrl = "jdbc:odbc:driver={Microsoft Access Driver (*.mdb)};DBQ="
	+ this.getServletContext().getRealPath("demodata/")+ "\\demo.mdb";
	Connection conn = DriverManager.getConnection(strUrl);
	Statement stmt = conn.createStatement();				
   	ResultSet	rs = stmt.executeQuery("select * from word where id="+id);
	if(rs.next()){
		filePath=rs.getString(2);
		fileName=rs.getString(3);
		status=rs.getString(6);
	}
	rs.close();
	stmt.close();
	conn.close(); 
	
	//*****************************卓正PageOffice组件的使用***********************************
	PageOfficeCtrl poCtrl1 = new PageOfficeCtrl(request);
	poCtrl1.setServerPage("poserver.do"); //此行必须
			
	poCtrl1.setCustomMenuCaption("自定义菜单");
    poCtrl1.addCustomMenuItem("显示痕迹", "ShowRevisions", true);
    poCtrl1.addCustomMenuItem("隐藏痕迹", "HiddenRevisions", true);
    poCtrl1.addCustomMenuItem("-", "", false);
    poCtrl1.addCustomMenuItem("显示标题", "ShowTitle", true);
    poCtrl1.addCustomMenuItem("-", "", false);
    poCtrl1.addCustomMenuItem("领导签批", "InsertHandSign", true);
    poCtrl1.addCustomMenuItem("插入印章", "InsertSeal", true);
    poCtrl1.addCustomMenuItem("接受所有修订", "AcceptAllRevisions", true);
    poCtrl1.addCustomMenuItem("-", "", false);
    poCtrl1.addCustomMenuItem("分层显示手写批注", "ShowHandDrawDispBar", true);

    poCtrl1.addCustomToolButton("保存", "Save", 1);
    poCtrl1.addCustomToolButton("另存为Html", "SaveAsHtml", 0);
    poCtrl1.addCustomToolButton("显示/隐藏痕迹", "Show_HidRevisions", 5);
    poCtrl1.addCustomToolButton("插入印章/签名", "InsertSeal", 2);
    poCtrl1.addCustomToolButton("领导签批", "InsertHandSign", 3);
    poCtrl1.addCustomToolButton("接受所有修订", "AcceptAllRevisions", 5);
    poCtrl1.addCustomToolButton("分层显示手写批注", "ShowHandDrawDispBar", 7);
    poCtrl1.addCustomToolButton("全屏/还原", "IsFullScreen", 4);
			
	poCtrl1.setSaveFilePage("savefile.jsp");
	poCtrl1.webOpen("doc/"+filePath, OpenModeType.docAdmin, "张佚名");
	poCtrl1.setTagId("PageOfficeCtrl1"); //此行必须									  
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=gb2312" />
    <title></title>
    <link href="images/csstg.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript">
    	function Lz(id){
    		location.href=encodeURI("index.jsp?id="+id+"&flg=正式发文");
    	}
    </script>
</head>
<body> 
    <form id="form2">
    <div id="header">
        <div style="float: left; margin-left: 20px;">
            <img src="images/logo.jpg" height="30" /></div>
        <ul>
            <li><a target="_blank" href="http://www.zhuozhengsoft.com">卓正网站</a></li>
            <li><a target="_blank" href="http://www.zhuozhengsoft.com/poask/index.asp">客户问吧</a></li>
            <li><a href="#">在线帮助</a></li>
            <li><a target="_blank" href="http://www.zhuozhengsoft.com/contact-us.html">联系我们</a></li>
        </ul>
    </div>
    <div id="content">
        <div id="textcontent" style="width: 1000px; height: 800px;">
            <div class="flow4">
                <a href="index.jsp">
                    <img alt="返回" src="images/return.gif" border="0" />文件列表</a> <span style="width: 100px;">
                    </span><strong>文档名称：</strong> <span style="color: Red;">
                        <span><%=fileName %></span></span> <span style="width: 100px;">
                        </span><strong>当前流程：</strong> 
                <% 
                	if (status.equals("文员清稿")){
                %>        
                        <span style="color: Red;">
                            <span><%=status %></span></span> <span style="width: 100px;">
                            </span>&nbsp;&nbsp;<strong>流转：</strong>
                <img alt="流转" src="images/arrow2.gif" border="0" />&nbsp;&nbsp;&nbsp;
                <a href="javascript:Lz(<%=id %>)"><span><%=lz %></span></a>
                <%
                	}
                	else{
                 %>
                 	<span style="color: Red;">已流转到“<%=status %>”，当前是“核稿模式”打开文件的效果。</span>
                 <%
                 	}
                  %>
            </div>
            <!--**************   卓正 PageOffice组件 ************************-->
    <script type="text/javascript">

        // $ = function(id) { return (typeof (id) == 'object') ? id : document.getElementById(id); };
        //        function Save() {
        //            $("PageOfficeCtrl1").WebSave();
        //        }

        function Save() {
            document.getElementById("PageOfficeCtrl1").WebSave();
        }

        function ShowRevisions() {
            document.getElementById("PageOfficeCtrl1").ShowRevisions = true;
        }
        function HiddenRevisions() {
            document.getElementById("PageOfficeCtrl1").ShowRevisions = false;
        }
        function Show_HidRevisions() {
            document.getElementById("PageOfficeCtrl1").ShowRevisions = !document.getElementById("PageOfficeCtrl1").ShowRevisions;
        }

        //领导圈阅签字
        function StartHandDraw() {
            document.getElementById("PageOfficeCtrl1").HandDraw.SetPenWidth(5);
            document.getElementById("PageOfficeCtrl1").HandDraw.Start();
        }

        //接受所有修订
        function AcceptAllRevisions() {
            document.getElementById("PageOfficeCtrl1").AcceptAllRevisions();
        }

        //分层显示手写批注
        function ShowHandDrawDispBar() {
            document.getElementById("PageOfficeCtrl1").HandDraw.ShowLayerBar();
        }

        //全屏/还原
        function IsFullScreen() {
            document.getElementById("PageOfficeCtrl1").FullScreen = !document.getElementById("PageOfficeCtrl1").FullScreen;
        }

        //显示菜单
        function ShowTitle() {
            alert("该菜单的标题是：" + document.getElementById("PageOfficeCtrl1").caption);
        }

        //插入电子印章
        function InsertSeal() {
            alert("请使用此用户的印章测试\r\n用户名：李志 \r\n初始密码：111111");

            var zoomseal = document.getElementById("PageOfficeCtrl1").ZoomSeal;
            if (zoomseal != null)
                zoomseal.AddSeal();


        }
        // 签批
        function InsertHandSign() {
            alert("请使用此用户测试\r\n用户名：李志 \r\n初始密码：111111");

            var zoomseal = document.getElementById("PageOfficeCtrl1").ZoomSeal;
            if (zoomseal != null)
                zoomseal.AddHandSign();
        }

        //文档另存为Html，并发布到web服务器
        function SaveAsHtml() {
            document.getElementById("PageOfficeCtrl1").WebSaveAsMHT();
            window.open("htmldoc.jsp?type=word&id=<%=id%>");
        }
      
    </script>
             <po:PageOfficeCtrl id="PageOfficeCtrl1" />
        </div>
    </div>
    <div id="footer">
        <hr width="1000" />
        <div>
            Copyright (c) 2012 北京卓正志远软件有限公司</div>
    </div>
    </form>
</body>
</html>
